<app-header title="Recommendations" backButtonURL="/tab/profile"></app-header>
<ion-content>
  <div fxLayout="row" fxLayoutAlign="center center">
    <ion-button (click)="Demofile()">
      download File Demo
    </ion-button>
  </div>
  <ng-container *ngIf="dispatchView; else dataAwaitedBlk">
    <ng-container *ngIf="isPackageSubscribed; else isPackageNotSubscribedBlk">
      <div class="eh-maxw-1200 eh-h-100p eh-mx-auto">
        <div class="eh-p-10 eh-ofy-scroll eh-hide-scrollbars">
          <ion-card class="e-card2 eh-p-4">
            <div class="e-title">
              <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">local_drink</mat-icon>
              <span>{{userRecommendations.WATER}}</span>
            </div>
            <div class="eh-mt-8 eh-ml-12 eh-minh-100 e-txt--matamber600"
              [innerHTML]="userGeneralRecommendation.water || '-'"></div>
          </ion-card>
          <ion-card class="e-card2 eh-p-4">
            <div class="e-title">
              <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">directions_run</mat-icon>
              <span>{{userRecommendations.ACTIVITY}}</span>
            </div>
            <div class="eh-mt-8 eh-ml-12 eh-minh-100 e-txt--matamber600"
              [innerHTML]="userGeneralRecommendation.activity || '-'"></div>

          </ion-card>
          <ion-card class="e-card2 eh-p-4">
            <div class="e-title">
              <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">local_pharmacy</mat-icon>
              <span>{{userRecommendations.SUPPLEMENTATION}}</span>
            </div>
            <div class="eh-mt-8 eh-ml-12 eh-minh-100 e-txt--matamber600"
              [innerHTML]="userGeneralRecommendation.supplementation || '-'">
            </div>
          </ion-card>
          <ion-card class="e-card2 eh-p-4">
            <div class="e-title">
              <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">bookmark_added</mat-icon>
              <span>{{userRecommendations.OTHER}}</span>
            </div>
            <div class="eh-mt-8 eh-ml-12 eh-minh-100 e-txt--matamber600"
              [innerHTML]="userGeneralRecommendation.other || '-'"></div>

          </ion-card>
          <ion-card class="e-card2 eh-p-4">
            <div class="e-title">
              <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">not_interested</mat-icon>
              <span>{{userRecommendations.AVOID}}</span>
            </div>
            <div class="eh-mt-8 eh-ml-12 eh-minh-100 e-txt--matamber600"
              [innerHTML]="userGeneralRecommendation.avoid || '-'"></div>

          </ion-card>
          <ion-card class="e-card2 eh-p-4">
            <div class="e-title">
              <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">done</mat-icon>
              <span>{{userRecommendations.DOS}}</span>
            </div>
            <div class="eh-mt-8 eh-ml-12 eh-minh-100 e-txt--matamber600"
              [innerHTML]="userGeneralRecommendation.dos || '-'"></div>

          </ion-card>
          <ion-card class="e-card2 eh-p-4">
            <div class="e-title">
              <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">grading</mat-icon>
              <span>{{userRecommendations.GENERAL}}</span>
            </div>
            <div class="eh-mt-8 eh-ml-12 eh-minh-100 e-txt--matamber600"
              [innerHTML]="userGeneralRecommendation.general || '-'"></div>
          </ion-card>
        </div>
      </div>
    </ng-container>

    <ng-template #isPackageNotSubscribedBlk>
      <div class="eh-h-100p" fxLayout="column" fxLayoutAlign="center center">
        <span class="e-txt e-txt--placeholder">This is a PRO-member area.</span>
        <span class="e-txt e-txt--placeholder">Please subscribe to a package to access this section.</span>
        <button *ngIf="!me.flags.isOrientationScheduled" mat-stroked-button
          class="e-mat-button e-mat-button--eblue400 eh-mt-8" (click)="showDialog()">
          Resume On-boarding
        </button>
      </div>
    </ng-template>
  </ng-container>

  <ng-template #dataAwaitedBlk>
    <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
      <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
    </div>
  </ng-template>

</ion-content>
<!-- <app-tabs></app-tabs> -->